<?php

	include('../config/config_DB.php');

	$sql = "SELECT * FROM appli_projects";
	//$return = mysqli_query($connexion , $query);
	$result = $connexion->query($sql);
	
	echo $result->num_rows;
	
	if ($result->num_rows > 0) 
	{
		while($row = $result->fetch_assoc()) 
		{
			echo "id: " . $row["id"]. " - Name: " . $row["project"]. " " . $row["categorie"]. "<br>";
		} 
	}
	
	$result = $connexion->query($sql);
	
	echo "<table>";
	while ($data = mysqli_fetch_array($result)) 
	{
		// on affiche les résultats
		echo "<tr><td>".$data['id']."</td><td>".$data['project']."</td></tr>";
	}
	echo "</table>";




	$sql = "SELECT  project, categorie FROM appli_projects WHERE id = 3";
	$result = $connexion->query($sql);

	
	
	$row = $result->fetch_assoc();
	
	echo $row["project"];

	
	
	$requete = "SELECT * FROM appli_projects";
$resultat = $connexion->query($requete);     // exécute la requête
 
if ($resultat) {    // si la requête a fonctionné
    if ($connexion->affected_rows > 0) {    // si la requête a retourné au moins un enregistrement
        echo "<ul>";

        while ($enreg = $resultat->fetch_row()) {     // extrait chaque ligne une à une
            echo "<li>$enreg[0] $enreg[1]</li>"; 
        }

        echo "</ul>";
    } 
	
}
		
?>
	
	
	
	